Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.ssdp
Class SSDP

    java.lang.Object
      org.cybergarage.upnp.ssdp.SSDP

    public class SSDP

extends Object

Field Summary
`static String` | `ADDRESS`
`static int` | `DEFAULT_MSEARCH_MX`
`static String` | `IPV6_ADMINISTRATIVE_ADDRESS`
`static String` | `IPV6_GLOBAL_ADDRESS`
`static String` | `IPV6_LINK_LOCAL_ADDRESS`
`static String` | `IPV6_SITE_LOCAL_ADDRESS`
`static String` | `IPV6_SUBNET_ADDRESS`
`static int` | `PORT`
`static int` | `RECV_MESSAGE_BUFSIZE`

Constructor Summary
`SSDP()`

Method Summary
`static String` | `getIPv6Address()`
`static int` | `getLeaseTime(String cacheCont)`
`static void` | `setIPv6Address(String addr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORT

    public static final int PORT

See Also:
  Constant Field Values

### ADDRESS

    public static final String ADDRESS

See Also:
  Constant Field Values

### IPV6_LINK_LOCAL_ADDRESS

    public static final String IPV6_LINK_LOCAL_ADDRESS

See Also:
  Constant Field Values

### IPV6_SUBNET_ADDRESS

    public static final String IPV6_SUBNET_ADDRESS

See Also:
  Constant Field Values

### IPV6_ADMINISTRATIVE_ADDRESS

    public static final String IPV6_ADMINISTRATIVE_ADDRESS

See Also:
  Constant Field Values

### IPV6_SITE_LOCAL_ADDRESS

    public static final String IPV6_SITE_LOCAL_ADDRESS

See Also:
  Constant Field Values

### IPV6_GLOBAL_ADDRESS

    public static final String IPV6_GLOBAL_ADDRESS

See Also:
  Constant Field Values

### DEFAULT_MSEARCH_MX

    public static final int DEFAULT_MSEARCH_MX

See Also:
  Constant Field Values

### RECV_MESSAGE_BUFSIZE

    public static final int RECV_MESSAGE_BUFSIZE

See Also:
  Constant Field Values

Constructor Detail

### SSDP

    public SSDP()

Method Detail

### setIPv6Address

    public static final void setIPv6Address(String addr)

### getIPv6Address

    public static final String getIPv6Address()

### getLeaseTime

    public static final int getLeaseTime(String cacheCont)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD